%define name 	xine-mozilla-plugin
%define version 1.0.2
%define release 1

%define major   1
%define libname libxine%{major}
%define libvers 1

Name:        %{name}
Summary:     A Netscape/Mozilla plugin using xine engine for audio/video playback.
Version:     %{version}
Release:     %{release}
License:     GPL
Group:       Development/Libraries
Source:      http://xine.sourceforge.net/files/xine-plugin-1.0.2.tar.gz
URL:         http://xine.sourceforge.net/
Packager:    Manfred Tremmel <Manfred.Tremmel@iiv.de>
Requires:    %{libname} >= %{libvers}
BuildPreReq: %{libname}-devel >= %{libvers}
BuildRoot:   %{_tmppath}/%{name}-buildroot

%description
%{name} provides multimedia capabilities to Netscape/Mozilla or
compatible browsers using xine engine.

%prep
%setup -q -n xine-plugin-1.0.2

%build
export CFLAGS="%{optflags}"

if [ ! -f configure ]; then
   NO_CONFIGURE=1 ./cvscompile.sh
fi

#
# currently we do not use %%configure as it seems to cause trouble with
# certain automake produced configure scripts - depending on automake version.
# Use BUILD_ARGS envvar to pass extra parameters to configure (like --enable-dha-mod/etc...)
#
./configure --build=%{_target_platform} --prefix=%{_prefix} \
	    --exec-prefix=%{_exec_prefix} --bindir=%{_bindir} \
	    --sbindir=%{_sbindir} --sysconfdir=%{_sysconfdir} \
	    --datadir=%{_datadir} --includedir=%{_includedir} \
	    --libdir=%{_libdir} --libexecdir=%{_libexecdir} \
	    --localstatedir=%{_localstatedir} \
	    --sharedstatedir=%{_sharedstatedir} --mandir=%{_mandir} \
	    --infodir=%{_infodir} PLUGIN_DIR=%{_libdir}/xine-plugin \
	    $BUILD_ARGS
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=%{?buildroot:%{buildroot}} LIBRARY_PATH=%{?buildroot:%{buildroot}}%{_libdir} install

%clean
rm -rf $RPM_BUILD_ROOT

%post 
if test ! -d %{_libdir}/mozilla; then mkdir %{_libdir}/mozilla; fi
if test ! -d %{_libdir}/mozilla/plugins; then mkdir %{_libdir}/mozilla/plugins; fi
ln -sf %{_libdir}/xine-plugin/xineplugin.so %{_libdir}/mozilla/plugins
 
%preun
rm -f %{_libdir}/mozilla/plugins/xineplugin.so

%files
%defattr(-,root,root)
%doc README TODO AUTHORS COPYING ChangeLog
%{_libdir}/xine-plugin/xineplugin.so

%changelog
* Wed Jan 24 2003 Miguel Freitas
- hacked first version
